%define	major 0
%define	libname %mklibname mpg123_ %{major}
%define	devname %mklibname mpg123 -d

Summary:	MPEG audio player
Name:		mpg123
Version:	1.23.8
Release:	1
License:	LGPLv2.1+
Group:		Sound
Url:		http://www.mpg123.de
Source0:	https://sourceforge.net/projects/mpg123/files/mpg123/%{version}/%{name}-%{version}.tar.bz2
Source1:	mp3license.tar.bz2
BuildRequires:	libtool-devel
BuildRequires:	nas-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(esound)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)

%track
prog %{name} = {
	url = http://sourceforge.net/projects/mpg123/files/
	version = %{version}
	regex = %{name}-(__VER__)\.tar\.bz2
}

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).
For information on the MP3 License, please visit: http://www.mpeg.org

%files
%doc doc/* AUTHORS ChangeLog NEWS README
%doc mp3license
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/output_alsa*
%{_libdir}/%{name}/output_dummy*
%{_libdir}/%{name}/output_oss*

#----------------------------------------------------------------------------

%package esd
Summary:	Esound audio output plugin for mpg123
Group:		Sound
Requires:	%{name} = %{EVRD}

%description esd
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files esd
%doc COPYING
%{_libdir}/%{name}/output_esd*

#----------------------------------------------------------------------------

%package jack
Summary:	Jack audio output plugin for mpg123
Group:		Sound
Requires:	%{name} = %{EVRD}

%description jack
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files jack
%doc COPYING
%{_libdir}/%{name}/output_jack*

#----------------------------------------------------------------------------

%package nas
Summary:	NAS audio output plugin for mpg123
Group:		Sound
Requires:	%{name} = %{EVRD}

%description nas
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files nas
%doc COPYING
%{_libdir}/%{name}/output_nas*

#----------------------------------------------------------------------------

%package openal
Summary:	OpenAL audio output plugin for mpg123
Group:		Sound
Requires:	%{name} = %{EVRD}

%description openal
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files openal
%doc COPYING
%{_libdir}/%{name}/output_openal*

#----------------------------------------------------------------------------

%package portaudio
Summary:	Portaudio output plugin for mpg123
Group:		Sound
Requires:	%{name} = %{EVRD}

%description portaudio
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files portaudio
%doc COPYING
%{_libdir}/%{name}/output_portaudio*

#----------------------------------------------------------------------------

%package pulse
Summary:	Pulse audio output plugin for mpg123
Group:		Sound
Requires:	%{name} = %{EVRD}

%description pulse
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files pulse
%doc COPYING
%{_libdir}/%{name}/output_pulse*

#----------------------------------------------------------------------------

%package sdl
Summary:	SDL audio output plugin for mpg123
Group:		Sound
Requires:	%{name} = %{EVRD}

%description sdl
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files sdl
%doc COPYING
%{_libdir}/%{name}/output_sdl*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	MPEG audio decoding library
Group:		System/Libraries

%description -n %{libname}
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files -n %{libname}
%doc COPYING
%{_libdir}/libmpg123.so.%{major}*
%{_libdir}/libout123.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	MPEG audio decoding library - development files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
Mpg123 is a fast, free and portable MPEG audio player for Unix.

It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files). For full CD quality
playback (44 kHz, 16 bit, stereo) a fast CPU is required. Mono and/or reduced
quality playback (22 kHz or 11 kHz) is possible on slow CPUs (like Intel 486).

For information on the MP3 License, please visit: http://www.mpeg.org

%files -n %{devname}
%doc COPYING
%{_libdir}/libmpg123.so
%{_libdir}/libout123.so
%{_includedir}/mpg123.h
%{_includedir}/fmt123.h
%{_includedir}/out123.h
%{_libdir}/pkgconfig/libmpg123.pc
%{_libdir}/pkgconfig/libout123.pc

#----------------------------------------------------------------------------

%prep
%setup -q -a 1
#apply_patches
rm -f doc/README.WIN32
rm -f configure
libtoolize --force --copy; aclocal; autoheader; automake --add-missing --copy; autoconf

%build
#gw this must be disabled for configure, else it will bail out
%define Werror_cflags %{nil}
%configure2_5x \
	--with-module-suffix=.so \
	--with-default-audio=pulse \
	--enable-ipv6=yes \
	--enable-network=yes

%make CFLAGS="%{optflags} -Wformat -Werror=format-security"


%install
%makeinstall_std

%changelog

* Tue Nov 01 2016 Denis Silakov <dsilakov@gmail.com> 1.23.8-1
- (5791357) Updated to 1.23.8 (fixes CVE-2016-1000247)


